Bug 127791 - NIC 3Com 3C905b doesn't work.
NIC 3Com 3C905b doesn't work.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-13 17:51 EDT by curtis quisenberry
Modified: 2015-01-04 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:12:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description curtis quisenberry 2004-07-13 17:51:07 EDT
Description of problem:
Can not connect to the internet.
Am unable to ping my default gateway.

Version-Release number of selected component (if applicable):

Fedora Core 3 Test 1 (2004JUL13)

How reproducible:

Very.  I reinstalled OS, & problem remained.

Steps to Reproduce:
1.Installed Fedora Core 3 Test 1
2.Tried to ping gateway router, not able to get to Internet via Web.
3.
  
Actual results:

Ping results indicated that my gateway was unreachable.

Expected results:

Successful pings

Additional info:

Was able to work around the problem by removing 3Com 3C905b &
replacing with an "Intel Pro 100".
Comment 1 Harald Hoyer 2004-07-14 04:12:07 EDT
so it seems that the driver for 3Com 3C905b did not work and the one
for Intel Pro 100 did? 
Comment 2 Barry K. Nathan 2004-07-14 04:54:29 EDT
BTW, the "Version" for this bug should be "test1" not "test3".
Comment 3 curtis quisenberry 2004-07-14 06:48:17 EDT
Harold,

Yes, the driver for the Intel Pro 100 did work.  
Comment 4 Harald Hoyer 2004-07-14 07:14:45 EDT
with the same configuration? if yes, shouldn't this be a bug of
component kernel?
Comment 5 Bill Nottingham 2004-08-05 12:56:09 EDT
Can you post the output of 'dmesg' at some point after you tried to
bring up the 3com card and it didn't work?
Comment 6 Paul Swanson 2004-08-10 00:12:47 EDT
Kernel 2.6.5 has a bug in the 3c905 driver. Kernel 2.6.7 fixes it.
Comment 7 Dave Jones 2004-12-07 01:50:05 EST
fixed in current updates ?
Comment 8 Bert de Bruijn 2005-05-01 18:41:21 EDT
My 3Com 3c905B works with kernel-2.6.10-1.770_FC3 but not with
kernel-2.6.11-1.14_FC3.
device info:
  +-11.0  3Com Corporation 3c905B 100BaseTX [Cyclone]
  +-11.0  10b7:9055
(on-board NIC in a Dell Precision 410)

I see link info with mii-tool that looks correct, can configure a fixed IP
address, but can't send or receive traffic. (ARP cache doesn't get filled up,
but even with a static ARP definition a ping -n reports 100% loss). No apparent
errors in dmesg.
Haven't tried tcpdump yet as it wasn't installed on the machine.
Comment 9 Dave Jones 2005-07-15 16:37:20 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 10 Dave Jones 2005-10-02 21:12:53 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.